<?xml version="1.0" standalone="yes" ?>
<?xml-stylesheet href="x2script.xsl" type="text/xsl" ?>
<script>
<name>lib.Xai.find2</name>
<version>1</version>
<engineversion>25</engineversion>
<description>more usefull find commands</description>
<arguments>
<argument index="1" name="command" type="String" desc="Command" />
<argument index="2" name="arg1" type="Value" desc="Arg1" />
<argument index="3" name="arg2" type="Value" desc="Arg2" />
<argument index="4" name="arg3" type="Value" desc="Arg3" />
<argument index="5" name="arg4" type="Value" desc="Arg4" />
</arguments>
<sourcetext>
<line linenr="001" indent=""><comment><text>*&#160;</text><var>Created&#160;by&#160;Xai&#160;Corporation</var></comment></line>
<line linenr="002" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="003" indent=""><comment><text>*&#160;</text><var></var></comment></line>
<line linenr="004" indent=""><text>infinite&#160;loop&#160;detection&#160;enabled=</text><var>[TRUE]</var></line>
<line linenr="005" indent=""></line>
<line linenr="006" indent=""><comment><text>*&#160;</text><var>Find&#160;wares&#160;onboard</var></comment></line>
<line linenr="007" indent=""><var>if&#160;</var><var>$command</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'wares.onboard'</var></line>
<line linenr="008" indent="&#160;"><var>$ware.list&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="009" indent="&#160;"></line>
<line linenr="010" indent="&#160;"><var>if&#160;</var><text>&#160;is&#160;datatyp[&#160;</text><var>$arg1</var><text>&#160;]&#160;==&#160;</text><var>DATATYP_ARRAY</var></line>
<line linenr="011" indent="&#160;&#160;"><var>$ships&#160;=&#160;</var><var>$arg1</var></line>
<line linenr="012" indent="&#160;"><var>else&#160;if&#160;not&#160;</var><text>&#160;is&#160;datatyp[&#160;</text><var>$arg1</var><text>&#160;]&#160;==&#160;</text><var>DATATYP_SHIP</var></line>
<line linenr="013" indent="&#160;&#160;"><var>$ships&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>1</var></line>
<line linenr="014" indent="&#160;&#160;"><var>$ships</var><text>[</text><var>1</var><text>]&#160;=&#160;</text><var>[THIS]</var></line>
<line linenr="015" indent="&#160;"><text>end</text></line>
<line linenr="016" indent="&#160;"></line>
<line linenr="017" indent="&#160;"><var>$maintype&#160;=&#160;</var><var>8</var></line>
<line linenr="018" indent="&#160;"><var>while&#160;</var><var>$maintype</var><text>&#160;</text><var>&lt;</var><text>&#160;</text><var>17</var></line>
<line linenr="019" interruptable="@" indent="&#160;&#160;"><var>=&#160;</var><text>wait&#160;randomly&#160;from&#160;</text><var>150</var><text>&#160;to&#160;</text><var>300</var><text>&#160;ms</text></line>
<line linenr="020" indent="&#160;&#160;"></line>
<line linenr="021" indent=""><comment><text>*&#160;</text><var>&#160;-&#160;&#160;ignore&#160;mission&#160;wares</var></comment></line>
<line linenr="022" indent="&#160;&#160;"><var>skip&#160;if&#160;not&#160;</var><var>$maintype</var><text>&#160;</text><var>==</var><text>&#160;</text><var>12</var></line>
<line linenr="023" indent="&#160;&#160;&#160;"><text>inc&#160;</text><var>$maintype&#160;=&#160;</var></line>
<line linenr="024" indent="&#160;&#160;"></line>
<line linenr="025" indent="&#160;&#160;"><var>$subtype&#160;=&#160;</var><text>&#160;get&#160;number&#160;of&#160;subtypes&#160;of&#160;maintype&#160;</text><var>$maintype</var></line>
<line linenr="026" indent="&#160;&#160;"><var>while&#160;</var><var>$subtype</var></line>
<line linenr="027" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$subtype&#160;=&#160;</var></line>
<line linenr="028" indent="&#160;&#160;&#160;"></line>
<line linenr="029" indent="&#160;&#160;&#160;"><var>$ware&#160;=&#160;</var><text>&#160;get&#160;ware&#160;from&#160;maintype&#160;</text><var>$maintype</var><text>&#160;and&#160;subtype&#160;</text><var>$subtype</var></line>
<line linenr="030" indent="&#160;&#160;&#160;"><var>$Ships.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ships</var></line>
<line linenr="031" indent="&#160;&#160;&#160;"><var>while&#160;</var><var>$Ships.num</var></line>
<line linenr="032" indent="&#160;&#160;&#160;&#160;"><text>dec&#160;</text><var>$Ships.num&#160;=&#160;</var></line>
<line linenr="033" indent="&#160;&#160;&#160;&#160;"><var>$ship&#160;=&#160;</var><var>$ships</var><text>[</text><var>$Ships.num</var><text>]</text></line>
<line linenr="034" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;true&#160;amount&#160;of&#160;ware&#160;</text><var>$ware</var><text>&#160;in&#160;cargo&#160;bay</text></line>
<line linenr="035" indent="&#160;&#160;&#160;&#160;&#160;"><text>append&#160;</text><var>$ware</var><text>&#160;to&#160;array&#160;</text><var>$ware.list</var></line>
<line linenr="036" indent="&#160;&#160;&#160;&#160;&#160;"><text>break</text></line>
<line linenr="037" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="038" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="039" indent="&#160;&#160;"><text>end</text></line>
<line linenr="040" indent="&#160;&#160;"></line>
<line linenr="041" indent="&#160;&#160;"><text>inc&#160;</text><var>$maintype&#160;=&#160;</var></line>
<line linenr="042" indent="&#160;"><text>end</text></line>
<line linenr="043" indent="&#160;"><text>return&#160;</text><var>$ware.list</var></line>
<line linenr="044" indent="&#160;"></line>
<line linenr="045" indent=""><comment><text>*&#160;</text><var>---------------------------------</var></comment></line>
<line linenr="046" indent=""><var>else&#160;if&#160;</var><var>$command</var><text>&#160;</text><var>==</var><text>&#160;</text><var>'ship.byCmd'</var></line>
<line linenr="047" indent=""><comment><text>*&#160;</text><var>finds&#160;a&#160;ship&#160;or&#160;ships&#160;&#160;running&#160;a&#160;command&#160;from&#160;an&#160;array&#160;of&#160;ships</var></comment></line>
<line linenr="048" indent=""><comment><text>*&#160;</text><var>arg1&#160;-&#160;ships&#160;array</var></comment></line>
<line linenr="049" indent=""><comment><text>*&#160;</text><var>arg2&#160;-&#160;command</var></comment></line>
<line linenr="050" indent=""><comment><text>*&#160;</text><var>arg3&#160;-&#160;find&#160;multiple</var></comment></line>
<line linenr="051" indent="&#160;"></line>
<line linenr="052" indent=""><comment><text>*&#160;</text><var>Varify&#160;inputs</var></comment></line>
<line linenr="053" indent="&#160;"><var>if&#160;not&#160;</var><text>&#160;is&#160;datatyp[&#160;</text><var>$arg1</var><text>&#160;]&#160;==&#160;</text><var>DATATYP_ARRAY</var></line>
<line linenr="054" indent="&#160;&#160;"><text>return&#160;</text><var>FLRET_INVALIDPARMS</var></line>
<line linenr="055" indent="&#160;"><text>else</text></line>
<line linenr="056" indent="&#160;&#160;"><var>$ship&#160;=&#160;</var><var>$arg1</var><text>[</text><var>0</var><text>]</text></line>
<line linenr="057" indent="&#160;&#160;"><var>if&#160;not&#160;</var><text>&#160;is&#160;datatyp[&#160;</text><var>$ship</var><text>&#160;]&#160;==&#160;</text><var>DATATYP_SHIP</var></line>
<line linenr="058" indent="&#160;&#160;&#160;"><text>return&#160;</text><var>FLRET_INVALIDPARMS</var></line>
<line linenr="059" indent="&#160;&#160;"><text>else</text></line>
<line linenr="060" indent="&#160;&#160;&#160;"><var>$ships&#160;=&#160;</var><var>$arg1</var></line>
<line linenr="061" indent="&#160;&#160;"><text>end</text></line>
<line linenr="062" indent="&#160;"><text>end</text></line>
<line linenr="063" indent="&#160;"></line>
<line linenr="064" indent="&#160;"><var>if&#160;not&#160;</var><text>&#160;is&#160;datatyp[&#160;</text><var>$arg2</var><text>&#160;]&#160;==&#160;</text><var>DATATYP_OBJCOMMAND</var></line>
<line linenr="065" indent="&#160;&#160;"><text>return&#160;</text><var>FLRET_INVALIDPARMS</var></line>
<line linenr="066" indent="&#160;"><text>else</text></line>
<line linenr="067" indent="&#160;&#160;"><var>$command&#160;=&#160;</var><var>$arg2</var></line>
<line linenr="068" indent="&#160;"><text>end</text></line>
<line linenr="069" indent="&#160;"></line>
<line linenr="070" indent=""><comment>*if&#160;not&#160;<text>&#160;is&#160;datatyp[&#160;</text>$arg3<text>&#160;]&#160;==&#160;</text>DATATYP_INT</comment></line>
<line linenr="071" indent=""><comment>*<text>return&#160;</text>FLRET_INVALIDPARMS</comment></line>
<line linenr="072" indent=""><comment>*<text>else</text></comment></line>
<line linenr="073" indent=""><comment>*$Find.Multiple&#160;=&#160;$arg3</comment></line>
<line linenr="074" indent=""><comment>*<text>end</text></comment></line>
<line linenr="075" indent="&#160;&#160;"></line>
<line linenr="076" indent=""><comment><text>*&#160;</text><var>Find&#160;Ship&#160;by&#160;Command&#160;routine</var></comment></line>
<line linenr="077" indent="&#160;&#160;"><var>$Ships.num&#160;=&#160;</var><text>&#160;size&#160;of&#160;array&#160;</text><var>$ships</var></line>
<line linenr="078" indent="&#160;&#160;"><var>while&#160;</var><var>$Ships.num</var></line>
<line linenr="079" indent="&#160;&#160;&#160;"><text>dec&#160;</text><var>$Ships.num&#160;=&#160;</var></line>
<line linenr="080" indent="&#160;&#160;&#160;"><var>$ship&#160;=&#160;</var><var>$ships</var><text>[</text><var>$Ships.num</var><text>]</text></line>
<line linenr="081" indent="&#160;&#160;&#160;"><var>$ship.cmd&#160;=&#160;</var><var>$ship&#160;-&gt;</var><text>&#160;get&#160;command</text></line>
<line linenr="082" indent="&#160;&#160;&#160;"></line>
<line linenr="083" indent=""><comment><text>*&#160;</text><var>&#160;&#160;&#160;-&#160;If&#160;&#160;Find.multiple&#160;is&#160;true,&#160;continue&#160;search&#160;otherwise&#160;return&#160;ship</var></comment></line>
<line linenr="084" indent="&#160;&#160;&#160;"><var>if&#160;</var><var>$ship.cmd</var><text>&#160;</text><var>==</var><text>&#160;</text><var>$command</var></line>
<line linenr="085" indent="&#160;&#160;&#160;&#160;"><var>if&#160;</var><var>$Find.Multiple</var></line>
<line linenr="086" indent="&#160;&#160;&#160;&#160;&#160;"><var>skip&#160;if&#160;</var><var>$Return.array</var></line>
<line linenr="087" indent="&#160;&#160;&#160;&#160;&#160;&#160;"><var>$Return.array&#160;=&#160;</var><text>&#160;array&#160;alloc:&#160;size=</text><var>0</var></line>
<line linenr="088" indent="&#160;&#160;&#160;&#160;&#160;"><text>append&#160;</text><var>$ship</var><text>&#160;to&#160;array&#160;</text><var>$Return.array</var></line>
<line linenr="089" indent="&#160;&#160;&#160;&#160;"><text>else</text></line>
<line linenr="090" indent="&#160;&#160;&#160;&#160;&#160;"><text>return&#160;</text><var>$ship</var></line>
<line linenr="091" indent="&#160;&#160;&#160;&#160;"><text>end</text></line>
<line linenr="092" indent="&#160;&#160;&#160;"><text>end</text></line>
<line linenr="093" indent="&#160;&#160;&#160;"></line>
<line linenr="094" indent="&#160;&#160;&#160;"></line>
<line linenr="095" indent="&#160;&#160;"><text>end</text></line>
<line linenr="096" indent="&#160;&#160;"><text>return&#160;</text><var>$Return.array</var></line>
<line linenr="097" indent="&#160;&#160;"></line>
<line linenr="098" indent="&#160;&#160;"></line>
<line linenr="099" indent="&#160;"><text>end</text></line>
<line linenr="100" indent="&#160;"><text>return&#160;</text><var>null</var></line>
</sourcetext>
<codearray>
<sval type="array" size="10"><sval type="string" val="lib.Xai.find2" /><sval type="int" val="25" /><sval type="string" val="more usefull find commands" /><sval type="int" val="1" /><sval type="int" val="0" /><sval type="array" size="15"><sval type="string" val="command" /><sval type="string" val="arg1" /><sval type="string" val="arg2" /><sval type="string" val="arg3" /><sval type="string" val="arg4" /><sval type="string" val="ware.list" /><sval type="string" val="ships" /><sval type="string" val="maintype" /><sval type="string" val="subtype" /><sval type="string" val="ware" /><sval type="string" val="Ships.num" /><sval type="string" val="ship" /><sval type="string" val="ship.cmd" /><sval type="string" val="Find.Multiple" /><sval type="string" val="Return.array" /></sval><sval type="array" size="59"><sval type="array" size="3"><sval type="int" val="153" /><sval type="int" val="131075" /><sval type="int" val="10" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610604797" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="wares.onboard" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="5" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="125" /><sval type="int" val="-1610611197" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="20" /><sval type="int" val="21" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="9" /></sval><sval type="array" size="6"><sval type="int" val="125" /><sval type="int" val="-536868602" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="20" /><sval type="int" val="65542" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="1" /></sval><sval type="array" size="7"><sval type="int" val="130" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="4" /><sval type="int" val="1" /><sval type="int" val="131075" /><sval type="int" val="65536" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="7" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610605303" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="17" /><sval type="int" val="15" /><sval type="int" val="3" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="3" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="107" /><sval type="int" val="-2147483647" /><sval type="int" val="4" /><sval type="int" val="150" /><sval type="int" val="4" /><sval type="int" val="300" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610609144" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="4" /><sval type="int" val="12" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="7" /></sval><sval type="array" size="4"><sval type="int" val="658" /><sval type="int" val="8" /><sval type="int" val="131074" /><sval type="int" val="7" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610605815" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="8" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="8" /></sval><sval type="array" size="6"><sval type="int" val="657" /><sval type="int" val="9" /><sval type="int" val="131074" /><sval type="int" val="7" /><sval type="int" val="131074" /><sval type="int" val="8" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610606071" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="619" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="-1610606333" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="5" /><sval type="int" val="131074" /><sval type="int" val="9" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="26" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="19" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="15" /></sval><sval type="array" size="2"><sval type="int" val="142" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="10" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="58" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610597883" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="5" /><sval type="string" val="ship.byCmd" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="6"><sval type="int" val="125" /><sval type="int" val="-536861948" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="20" /><sval type="int" val="21" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="19" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="40" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="6"><sval type="int" val="125" /><sval type="int" val="-536860924" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="20" /><sval type="int" val="65542" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="19" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="40" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="6" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="1" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="6"><sval type="int" val="125" /><sval type="int" val="-536859900" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="20" /><sval type="int" val="18" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="19" /><sval type="int" val="0" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="44" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="0" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="2" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="131" /><sval type="int" val="10" /><sval type="int" val="131074" /><sval type="int" val="6" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598135" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="10" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="2"><sval type="int" val="143" /><sval type="int" val="10" /></sval><sval type="array" size="6"><sval type="int" val="129" /><sval type="int" val="11" /><sval type="int" val="131074" /><sval type="int" val="6" /><sval type="int" val="131074" /><sval type="int" val="10" /></sval><sval type="array" size="4"><sval type="int" val="525" /><sval type="int" val="131074" /><sval type="int" val="11" /><sval type="int" val="12" /></sval><sval type="array" size="13"><sval type="int" val="104" /><sval type="int" val="-1610598397" /><sval type="int" val="3" /><sval type="int" val="131074" /><sval type="int" val="12" /><sval type="int" val="131074" /><sval type="int" val="0" /><sval type="int" val="15" /><sval type="int" val="0" /><sval type="int" val="3" /><sval type="int" val="-1" /><sval type="int" val="0" /><sval type="int" val="-2" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-1610598653" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="13" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="7"><sval type="int" val="104" /><sval type="int" val="-536857337" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="1" /><sval type="int" val="-1" /></sval><sval type="array" size="4"><sval type="int" val="128" /><sval type="int" val="14" /><sval type="int" val="4" /><sval type="int" val="0" /></sval><sval type="array" size="5"><sval type="int" val="135" /><sval type="int" val="131074" /><sval type="int" val="14" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="56" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="11" /></sval><sval type="array" size="2"><sval type="int" val="112" /><sval type="int" val="45" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="131074" /><sval type="int" val="14" /></sval><sval type="array" size="3"><sval type="int" val="103" /><sval type="int" val="0" /><sval type="int" val="0" /></sval></sval><sval type="array" size="5"><sval type="array" size="2"><sval type="int" val="2" /><sval type="string" val="Command" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg1" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg3" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="string" val="Arg4" /></sval></sval><sval type="array" size="52"><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="Created by Xai Corporation" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="3"><sval type="int" val="0" /><sval type="int" val="1" /><sval type="string" val="" /></sval><sval type="array" size="2"><sval type="int" val="1" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="1" /><sval type="int" val="1" /><sval type="string" val="Find wares onboard" /></sval><sval type="array" size="2"><sval type="int" val="3" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="9" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="12" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="12" /><sval type="int" val="1" /><sval type="string" val=" -  ignore mission wares" /></sval><sval type="array" size="2"><sval type="int" val="14" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="17" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="7" /></sval><sval type="array" size="2"><sval type="int" val="25" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="26" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="27" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="29" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="30" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="30" /><sval type="int" val="1" /><sval type="string" val="---------------------------------" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="finds a ship or ships  running a command from an array of ships" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="arg1 - ships array" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="arg2 - command" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="arg3 - find multiple" /></sval><sval type="array" size="2"><sval type="int" val="32" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="32" /><sval type="int" val="1" /><sval type="string" val="Varify inputs" /></sval><sval type="array" size="2"><sval type="int" val="35" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="39" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="40" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="43" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="2" /></sval><sval type="array" size="8"><sval type="int" val="44" /><sval type="int" val="3" /><sval type="int" val="125" /><sval type="int" val="-536870908" /><sval type="int" val="131074" /><sval type="string" val="arg3" /><sval type="int" val="20" /><sval type="int" val="4" /></sval><sval type="array" size="5"><sval type="int" val="44" /><sval type="int" val="3" /><sval type="int" val="103" /><sval type="int" val="19" /><sval type="int" val="0" /></sval><sval type="array" size="3"><sval type="int" val="44" /><sval type="int" val="3" /><sval type="int" val="5" /></sval><sval type="array" size="7"><sval type="int" val="44" /><sval type="int" val="3" /><sval type="int" val="104" /><sval type="string" val="Find.Multiple" /><sval type="int" val="1" /><sval type="int" val="131074" /><sval type="string" val="arg3" /></sval><sval type="array" size="3"><sval type="int" val="44" /><sval type="int" val="3" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="44" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="44" /><sval type="int" val="1" /><sval type="string" val="Find Ship by Command routine" /></sval><sval type="array" size="2"><sval type="int" val="49" /><sval type="int" val="2" /></sval><sval type="array" size="3"><sval type="int" val="49" /><sval type="int" val="1" /><sval type="string" val="   - If  Find.multiple is true, continue search otherwise return ship" /></sval><sval type="array" size="2"><sval type="int" val="55" /><sval type="int" val="5" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="56" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="57" /><sval type="int" val="4" /></sval><sval type="array" size="2"><sval type="int" val="58" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="58" /><sval type="int" val="2" /></sval><sval type="array" size="2"><sval type="int" val="58" /><sval type="int" val="4" /></sval></sval><sval type="int" val="0" /></sval>
</codearray>
</script>
